Ubuntu

[Gutsy] high processor activity after logging out and then logging in again

Reported by Pjotr12345 on 2007-10-08
130
Affects Status Importance Assigned to Milestone
nautilus (Ubuntu)
Medium
Ubuntu Desktop Bugs
Gutsy
High
Ubuntu Desktop Bugs

Bug Description

The signal handler user by nautilus for logging is using non signal safe functions which creates issues, since the log are not really used anyway the easier option is to disable logging, which has already be done in hardy

Sebastien Bacher (seb128) wrote :

Thanks for your bug report. Please try to obtain a backtrace http://wiki.ubuntu.com/DebuggingProgramCrash and attach the file to the bug report. This will greatly help us in tracking down your problem. That's likely due to nautilus crashing. Could you look if nautilus-debug-log.txt keeps being updated?

Changed in nautilus:
assignee: nobody → desktop-bugs
importance: Undecided → Medium
status: New → Incomplete
Daniel Hahler (blueyed) wrote :

I think I've seen this bug just happening here, while trying to reproduce bug 148781 and bug 150454. Therefor I've started a new gnome session and when exiting from there I've noticed that nautilus was using all available CPU cycles.

nautilus-debug-log.txt keeps growing, but only with the same "debug log dumped" line:
===== BEGIN MILESTONES =====
0x8177888 2007/10/09 23:16:40.8978 (GLog): Can not calculate _NET_NUMBER_OF_DESKTOPS
0x8177888 2007/10/09 23:16:40.8979 (GLog): Can not calculate _NET_NUMBER_OF_DESKTOPS
0x8177888 2007/10/09 23:16:40.8979 (GLog): Can not get _NET_WORKAREA
0x8177888 2007/10/09 23:16:40.8980 (GLog): Can not determine workarea, guessing at layout
0x8177888 2007/10/09 23:23:20.6097 (USER): debug log dumped due to signal 11
0x8177888 2007/10/09 23:23:20.6246 (USER): debug log dumped due to signal 11
0x8177888 2007/10/09 23:23:20.6247 (USER): debug log dumped due to signal 11
0x8177888 2007/10/09 23:23:20.6248 (USER): debug log dumped due to signal 11
0x8177888 2007/10/09 23:23:20.6250 (USER): debug log dumped due to signal 11
[...]
0x8177888 2007/10/09 23:23:56.0296 (USER): debug log dumped due to signal 11
0x8177888 2007/10/09 23:23:56.0356 (USER): debug log dumped due to signal 11

Changed in nautilus:
status: Incomplete → Confirmed
Sebastien Bacher (seb128) wrote :

Do you use the desktop effects option? Does it happen without it?

Changed in nautilus:
status: Confirmed → Incomplete
w.d (wouter-dijk) wrote :

I experience the same problem. After log out sometimes I can't login at all, I can see the desktop for a split second and then the screen stays black (with a mouse pointer).
The only thing that remains is rebooting the machine, because ctrl-alt-backspace brings you to the login screen, but logging in is not possible...

Sebastien Bacher (seb128) wrote :

Could you get a backtrace of the crash?

w.d (wouter-dijk) wrote :

I'm sorry, I got so frustrated I reinstalled Gutsy! For now, I don't experience the problem anymore, but who knows... ;-)

on computer A nautilus isn't closed. during switch from user 1 to 2.

on my other computer B: gconf-2, evolution-data-server-1.12 and bonobo-activation-server isn't closed.

And as I said before it takes a long time to log out from one account on both computers.

both are distribution upgrades ubuntu 32 bit.

Jean Levasseur (levasseur.jean) wrote :

I'm having hte exact same behaviour. I'm using Ubuntu Gutsy, upgraded from gutsy-rc. I have installed Sabayon. I also disabled some services from the session-management menu (blue-tooth, at-visual) since I don't need them. Desktop effects are activated, but I get the same behaviour if they are disabled, so those are not the problem.

The process that causes the 100% CPU is Nautilus.

Steps to reproduce:
- Log in.
- Log out.
- Re-log in. At this time, the session loading is quite long. The panels are appearing after a while and are usable, but the desktop stays empty. Right-clicking on it does nothing.
- Trying to log out, the panels will freeze, and the "logout window" will appear after 1-2 minutes (long.....)

To work around this: in a terminal "killall -HUP nautilus && nautilus &"

jiatai (cail9970) wrote :

i don't need to switch user,
user A logout and login, i have the same problem

killall -HUP nautilus && nautilus & can fix it temporarelly

I can confirm this on U7.10.

I also have some extra information.

Sebastien: For me Nautilus doesn't crash just uses 100% CPU (I think the crash reports above are different bugs). No record of crash or any details entered in any log for me.

This is how it occurs for me:

1/ startup PC.
2/ login
3/ Can do [Places->home] and quit OK. Can re-do numerous times OK.
4/ logout
5/ login
6/ Nautilus using 100% CPU (or near to).
7/ Can't do [Places->home] - no response.
8/ End Nautilus process.
9/ Can do [Places->home] but on quit Nautilus starts using 100% CPU again.
10/ End Nautilus process.
11/ logout
12/ login
13/ Can do [Places->home] and quit OK. Can re-do numerous times OK.
14/ logout
15/ login
16/ Nautilus using 100% CPU (or near to).
17/ Can't do [Places->home] - no response.
18/ End Nautilus process.
19/ Can do [Places->home] but on quit Nautilus starts using 100% CPU again.
20/ End Nautilus process.
21/ logout
..... problem repeats indefinitely on an every second login basis.

You can see from the above that Nautilus runs away with CPU time only on every second login (ie login 2,4,6...).
Login 1,3,5... all is OK.

Perhaps someone else can confirm this cycle.
Also, when Nautilus is using 100% CPU, logout doesn't work (or perhaps it would work if enough time were given).

Sebastien: Sorry there is something logged to nautilus-debug-log.txt
This file fills rapidly when nautilus is 100% CPU hungry.
See attached.

Nick B. (futurepilot) wrote :

I'm seeing the exact same errors. Nautilus takes up 100% of the CPU and dumps a debug log file in my home folder that goes on and on (13MB!)
===== BEGIN MILESTONES =====
0x8177510 2007/10/21 14:17:07.9403 (GLog): Can not calculate _NET_NUMBER_OF_DESKTOPS
0x8177510 2007/10/21 14:17:07.9404 (GLog): Can not calculate _NET_NUMBER_OF_DESKTOPS
0x8177510 2007/10/21 14:17:07.9405 (GLog): Can not get _NET_WORKAREA
0x8177510 2007/10/21 14:17:07.9405 (GLog): Can not determine workarea, guessing at layout
0x8177510 2007/10/21 21:15:14.9326 (USER): debug log dumped due to signal 11
0x8177510 2007/10/21 21:15:14.9330 (USER): debug log dumped due to signal 11
0x8177510 2007/10/21 21:15:14.9332 (USER): debug log dumped due to signal 11
0x8177510 2007/10/21 21:15:14.9334 (USER): debug log dumped due to signal 11
0x8177510 2007/10/21 21:15:14.9337 (USER): debug log dumped due to signal 11
0x8177510 2007/10/21 21:15:14.9340 (USER): debug log dumped due to signal 11.....

If I kill Nautilus then trackerd starts going crazy and I have to kill trackerd as well.
I have seen this on 2 separate computers one with desktop effects one without.
I haven't been able to find a way to reproduce this though. Seems totally random. I'll try and get a backtrace if I can.

Nick B. (futurepilot) wrote :

My laptop which is not running Compiz has the same error minus the first 4 lines. So it's just a bunch of the signal 11 errors.

Same as Nick B. This is on a laptop that worked fine with Feisty and then did an upgrade manager upgrade to Gutsy

AdrianM (adrian-moore) wrote :

Same as above Nautilus takes up 100% of the CPU and dumps a debug log file with new entries about 1000/min which trackerd then retries to index. Need to delete debug log and kill nautilus to get back. My setup was ok on Feisty and only happened after upgrade to gutsy. I am not running compiz.

Eetu Huisman (eh) wrote :

I have this same issue on my desktop machine which doesn't have compiz enabled.

pisica (andrei-iftimovici) wrote :

I have experienced (computer HP intel dual core 2 and Ubuntu 7.10 installed on a virgin space i.e. no upgrade) almost all the other contributors said about that bug; it seems that the bug hasn't been solved yet, so, I'll bring some precisions about its behavior:

1) logging into another account or re-logging into the same, is not relevant: the bug is still present.
2) I think there is no connection with compiz (since even when the desktop is in very bad shape, compiz works, the cube rotates, so on...), nor with beagled nor with trackerd: I have disabeled all of them at startup and the bug is still there.
3) I tried to make a script shell (called clear.sh) like this:
Code:

#!/bin/bash
sleep 3
killall -9 nautilus 1>/dev/null
nautilus&
exit

and added it to the System > Preferences > Sessions, to be taken into account when the new session starts (hoping the old nautilus process will be killed). Unfortunately, it has no effect, whatever I put 3 or 5 or 6 or etc... seconds of sleep. But it has an effect when I run it after I login in the BAD working nautilus session. (Of course it has!)

4) Still, the effect of killing and restarting nautilus is NOT complete, i.e. it doesn't kill the bug completely. Indeed,

a) It kills the bad behaviour of the desktop, so the icons are coming back on it, the panel buttons are working well and the processors are stoping their mad activity.

b) But it doesn't bring back my Disk Mounter applet from one of the panels. Nor allows me to put other such applets on panels. This is quite odd. Then, if I restart the computer and login for the first time, my disk mounter applet appears normally and the other applets I have tried to put on the panel are appearing too !

********************

I think that this is a severe bug (not a "medium" one, as it has been classified) especially for computers used by more than one person (e.g. in a university). Thank you for fixing it as soon as possible.

James N (jnylen) wrote :

@pisica:

There is a better workaround for this bug. Assuming you use gdm for login, open the file /etc/gdm/PostSession/Default and add the 'killall nautilus' or 'sudo killall nautilus' (I used 'pkill nautilus') before the exit statement in that script. That way nautilus will be killed as your session is exiting, and the cpu will not be eaten up when you are just sitting there at the login screen. Also, switch user / login as someone else / re-login works normally for me now.

pisica (andrei-iftimovici) wrote :

Right! It works now for me too, and even my Disk Mounter applet appers normally on the panel.
Thanks a lot James N !

[Sottovoce: By the way, even if one can manage it now, it still remains a bug for nautilus, right?]

James N (jnylen) wrote :

Yes, it is still a bug. The login/logout is not the only case that is affected by this problem - when I am logged in as myself and I run a nautilus window as root, it does not exit normally. I have to kill the process manually after closing the nautilus window.

I don't know anything about the way Nautilus is coded, but the 2 cases where this problem occurs suggest to me that nautilus expects some service to be running as it is exiting, and if that service isn't running - the process hangs and eats up all the CPU.

doclist (dclist) wrote :

I also experience 100% CPU usage from Nautilus after logging in userA, logging in userB, logging out userB. The offending process is owned by userB. This is new (for me) in Gutsy.

I can't seem to get a proper backtrace. This is what I get immediately after attaching through GDB.

=========
#0 0xb727d45f in fputs () from /lib/tls/i686/cmov/libc.so.6
#1 0x080e27c8 in write_string (filename=0x0, file=0x8905b48,
    str=0x1 <Address 0x1 out of bounds>, error=0x0) at nautilus-debug-log.c:446
#2 0x080e28ab in nautilus_debug_log_dump (
    filename=0x89058f0 "/home/USER/nautilus-debug-log.txt", error=0x0)
    at nautilus-debug-log.c:508
#3 0x0807e776 in dump_debug_log () at nautilus-main.c:213
#4 0x0807e7bf in sigfatal_handler (sig=11) at nautilus-main.c:258
#5 <signal handler called>
#6 0xb7657af6 in gconf_client_remove_dir () from /usr/lib/libgconf-2.so.4
#7 0xb5c2e9cd in ?? ()
   from /usr/lib/nautilus/extensions-1.0/libnautilus-actions.so
#8 0xe5000009 in ?? ()
#9 0xb5c32d74 in ?? ()
   from /usr/lib/nautilus/extensions-1.0/libnautilus-actions.so
#10 0x00000000 in ?? ()
=========

Trying to 'continue' in GDB gives the following:
====
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1228183888 (LWP 22236)]
0xb7657af6 in gconf_client_remove_dir () from /usr/lib/libgconf-2.so.4
====

Kamil Páral (kamil.paral) wrote :

I experience the same problem quite often. People have attached logs, setting as confirmed.

Changed in nautilus:
status: Incomplete → Confirmed
wexper (wner-linyuan) wrote :

I experience the same problem in a worse case - when I lockscreen, and login back.
Above workarounds really worked, but all the windows and documents left open before lockscreen get lost. It's really bad.

Nick B. (futurepilot) wrote :

This happened again and I got a backtrace on it. However I have a feeling this won't be any good. It looks like something with pthread but I'm not sure what dbgsym I need for that. Anyone know? I will try again.

Disable Tracker on System – Preferences – Sessions and the problem will
end.
Tracker is a desktop search tool, it has a bug, and it is launched every
time you make a search on file browser (Nautilus).
Luiz

On Wed, 2007-10-31 at 00:47 +0000, doclist wrote:
> I also experience 100% CPU usage from Nautilus after logging in userA,
> logging in userB, logging out userB. The offending process is owned by
> userB. This is new (for me) in Gutsy.
>
> I can't seem to get a proper backtrace. This is what I get immediately
> after attaching through GDB.
>
> =========
> #0 0xb727d45f in fputs () from /lib/tls/i686/cmov/libc.so.6
> #1 0x080e27c8 in write_string (filename=0x0, file=0x8905b48,
> str=0x1 <Address 0x1 out of bounds>, error=0x0) at nautilus-debug-log.c:446
> #2 0x080e28ab in nautilus_debug_log_dump (
> filename=0x89058f0 "/home/USER/nautilus-debug-log.txt", error=0x0)
> at nautilus-debug-log.c:508
> #3 0x0807e776 in dump_debug_log () at nautilus-main.c:213
> #4 0x0807e7bf in sigfatal_handler (sig=11) at nautilus-main.c:258
> #5 <signal handler called>
> #6 0xb7657af6 in gconf_client_remove_dir () from /usr/lib/libgconf-2.so.4
> #7 0xb5c2e9cd in ?? ()
> from /usr/lib/nautilus/extensions-1.0/libnautilus-actions.so
> #8 0xe5000009 in ?? ()
> #9 0xb5c32d74 in ?? ()
> from /usr/lib/nautilus/extensions-1.0/libnautilus-actions.so
> #10 0x00000000 in ?? ()
> =========
>
>
> Trying to 'continue' in GDB gives the following:
> ====
> Program received signal SIGSEGV, Segmentation fault.
> [Switching to Thread -1228183888 (LWP 22236)]
> 0xb7657af6 in gconf_client_remove_dir () from /usr/lib/libgconf-2.so.4
> ====
>
--
Megahertz
<email address hidden>

Disable Tracker on System – Preferences – Sessions and the problem will
end.
Tracker is a desktop search tool, it has a bug, and it is launched every
time you make a search on file browser (Nautilus).
Luiz

On Sun, 2007-11-04 at 21:50 +0000, Kamil Páral wrote:
> I experience the same problem quite often. People have attached logs,
> setting as confirmed.
>
> ** Changed in: nautilus (Ubuntu)
> Status: Incomplete => Confirmed
>
--
Megahertz
<email address hidden>

Kamil Páral (kamil.paral) wrote :

Well, I don't know if disabling Tracker will help, but I know for sure that Nautilus takes 100% cpu. "killall nautilus" works good, apart from not getting the desktop screen and icons then. I would see this as another bug than Tracker-related.

On Nov 6, 2007 6:06 AM, Luiz Alberto Medaets <email address hidden> wrote:
> Disable Tracker on System – Preferences – Sessions and the problem will
> end.
> Tracker is a desktop search tool, it has a bug, and it is launched every
> time you make a search on file browser (Nautilus).
> Luiz
>

I don't have tracker installed at all (and haven't since the first day
of installing Gutsy) and still experience the problem.

Tracker is a desktop search tool, part of Gnome, and is loaded when you
start (Disable Tracker on System – Preferences – Sessions and the
problem will end.) or when you ask for file search.
Open System - Administration -System Monitor. Look for Trackerd on
process tab to see if it's running . If it is, right click and stop then
right click and kill.

Megahertz

07 at 00:11 +0000, doclist wrote:
> On Nov 6, 2007 6:06 AM, Luiz Alberto Medaets <email address hidden> wrote:
> > Disable Tracker on System – Preferences – Sessions and the problem will
> > end.
> > Tracker is a desktop search tool, it has a bug, and it is launched every
> > time you make a search on file browser (Nautilus).
> > Luiz
> >
>
> I don't have tracker installed at all (and haven't since the first day
> of installing Gutsy) and still experience the problem.
>
--
Megahertz
<email address hidden>

On Nov 7, 2007 8:12 AM, Luiz Alberto Medaets <email address hidden> wrote:
> Tracker is a desktop search tool, part of Gnome, and is loaded when you
> start (Disable Tracker on System – Preferences – Sessions and the
> problem will end.) or when you ask for file search.
> Open System - Administration -System Monitor. Look for Trackerd on
> process tab to see if it's running . If it is, right click and stop then
> right click and kill.
>
> Megahertz

I know what Tracker is. I could have been clearer: I uninstalled
Tracker soon after upgrading to Gutsy.

pisica (andrei-iftimovici) wrote :

Folks, let me remind you that there is a temporary but helpful solution to the problem which has been given in this forum by James N. I quote him below:

********************
Assuming you use gdm for login, open the file /etc/gdm/PostSession/Default and add the 'killall nautilus' or 'sudo killall nautilus' (I used 'pkill nautilus') before the exit statement in that script. That way nautilus will be killed as your session is exiting, and the cpu will not be eaten up when you are just sitting there at the login screen. Also, switch user / login as someone else / re-login works normally for me now.

********************

By the way, I don't think tracker has something to do with this bug, although I saw that some problems arrived when both trackerd and beagled were started.

Both of these work-arounds work for me ('Trackerd' & 'kill nautilus').

The Trackerd fix by Luiz above is particularly interesting because when Trackered is not running nautilus appears to be able to pull itself out of whatever spiral it's in. A "nautilus-debug-log.txt" is still generated by nautilus but now it rarely spans more than 1 second. I've attached an example log from one of my users. The generated log files sometimes also include extra information.

debianmigrant (debianmigrant) wrote :

I suffer with the same issue, and I have applied the above workaround (kill nautilus), it seems to stop the high usage of the CPU by nautilus, but it has broken the screensaver when switching users. I get a blank (white) screen, and if I type in my password, I get my desktop back. Only way I have found to fix this, is by disabling desktop effects.

Michael Trunner (trunneml) wrote :

Hi,

don't think uninstalling tracker is the solution. We removed tracker from our workstations on the university and even added the killall nautilus to PostSession. But the problem still exist. Okay it is better now but the problem here isn't the warm cpu, it is the traffic on the nfs-server, and the full home directory (user can't login when his home is full). Currently we can't really upgrade to gutsy, because of this bug. So i think the Importance should be higher.

James N (jnylen) wrote :

Even though I don't think this bug qualifies as high- or severe-importance, it is a problem with a major OS component, and the PostSession workaround seems to have undesirable side effects for some people. Just imagine if Microsoft left a bug in their Windows Explorer that caused the CPU to run around in circles non-stop.

...alright, maybe that isn't such a good analogy. But this problem really needs to be fixed.

Sebastien Bacher (seb128) wrote :

then somebody having the issue needs to describe how to trigger it on a new installation or to debug it, usually it's not going to work on an issue when you don't have it on your configuration

On my Computer following task are not closed after exiting one user account.

nautilus with eating 80% CPU
gconfd-2 sleeping
mapping-daemin sleeping
bonobo-activation-server sleeping

killing nautilus closes the 3 others.

sja821 (sja821) wrote :

I have a clean install of Gutsy that is having this problem. I do have thin clients running from this server, so I'm getting a lot of logins - and should be able to help debug if someone can tell me what to look for. I'm getting the same contents as in the nautilus-debug-log.txt file shown above.

Jean-Luc Thirion (jlinho) wrote :

Same observations as greenhunter for me.

I removed the Deskbar applet and everything is fine now.

Please tell me what happens if you remove the Deskbar applet ?

How do i remove the deskbar applet?

Changed in nautilus:
status: Confirmed → Fix Released
Changed in nautilus:
importance: Undecided → High
status: New → Confirmed
assignee: nobody → desktop-bugs
88 comments hidden view all 168 comments
Psykotik (linux-ikiru) wrote :

to the Ubuntu team: may I (may we) help you to resolve this bug? Do you need more informations?

amias (amias) wrote :

noticed the same thing and solved it by adding a killall -9 nautilus to /etc/gdm/PreSession/default and /etc/gdm/PostSession/default . This prevents nautilus from chewing cycles when people are not logged in
instead of just waiting untill someone logs in again. This also works if X dies randomly or someone does
Ctrl+Alt+Backspace.

Beware that if you use xdmcp or some other way of having more than one session at once then other nautilui
will be killed by this . Nautilus should restart automatically for any effected user so this might not be as bad as
it seems , ymmv .

How about a patch ubuntu peeps ?

Kim Pepper (kim-pepper) wrote :

Deleting .thumbnails folder and restarting fixed the problem for me.

description: updated
3 comments hidden view all 168 comments

@ Sebastien Basher:
Thank you very much Sebastien. I was about to post my PPA's link, in which I've put your patched version of Nautilus to make it available for wide testing, for I'm using it since the beggining of December without an issue on my Gutsy machine, but I guess I wont have to do that. Anyway, if you think is a good idea to do so, please advise me.

Sebastien Bacher (seb128) wrote :

Thank you Jean, that's not required, users should rather try the gutsy update when it'll be available

Martin Pitt (pitti) wrote :

Ah, this will stop creating the 'nautilus-debug-log.txt' files in user's home directory? I think that's a regression we can live with, we can always ask folks to click on the apport .crash file (which we should get instead now). Approved, please upload.

Sebastien Bacher (seb128) wrote :

right, neither the ubuntu triagers nor upstream has really used this log so it should be no issue, I've already uploaded the update

Martin Pitt (pitti) wrote :

Accepted into gutsy-proposed, please test and give feedback here. Can someone come up with a reproducible test case?

Changed in nautilus:
status: Confirmed → Fix Committed
Nick Fishman (bsdlogical) wrote :

Like Jordan, I've also bin bitten by this bug on a dual LTSP server network. We also have NFS home directories, which compounds the slowness.

I just applied the updates for nautilus and nautilus-data from gutsy-proposed. I'll see what happens over the next few days.

Sebastien Bacher (seb128) wrote :

you need to restart nautilus to get the new version running

Thank you!!! Just saw it download from the ropes.

=) =) =)

Sebastien Bacher wrote:
> you need to restart nautilus to get the new version running
>

--
Jordan Erickson
Owner, Logical Networking Solutions
http://www.logicalnetworking.net
707-636-5678

Latest LNS Blogs - http://blogs.logicalnetworking.net

 RFID Passports coming in 2008
 Peru orders 260,000 OLPC laptops for kids, Mexico 50,000
 CNet to Microsoft: Ditch Vista

Psykotik (linux-ikiru) wrote :

I applied the updates for nautilus, nautilus-data and libnautilus-exension1 from gutsy-proposed (release 7.1). Unfortunately, no change; nautilus runs, and whenever I quit, it crashes and the process uses a high amount of the processor.

Reproducing it is quite easy: open a terminal, run "sudo nautilus", and close. The processor will be highly solicited. The only way to have back its ressources, is to kill the process.
I think it only go through this behaviour once, afterwhat it works normally. However, the close reports always a "segmentation fault (core dumped)" into the terminal.

Find in attachment the crash report. Be warned I cannot open it, don't know why the reports regarding nautilus can't be opened. I also attach a crash resulted from opening a second user session.

1 comments hidden view all 168 comments

Great level of detail Psykotic. :)

Sebastien Bacher (seb128) wrote :

the change is not to solve crasher but to get nautilus not being stuck on the log when there is one

Psykotik (linux-ikiru) wrote :

Since it was an "artificial crash" (when talking about the first one), a consequence of nautilus being stuck, I thought it could be of use.

I was wrong. If you need something else...

Sebastien Bacher (seb128) wrote :

the bug seems to mix different issues. Does anybody still get nautilus creating a nautilus-debug-log.txt on crash when using the update?

Jean-Luc Thirion (jlinho) wrote :

I applied the patch. No nautilus-debug-log.txt up to now.

Ronald van Engelen (ronalde) wrote :

After applying the update yesterday on our LTSP-server there are no hanging processes anymore.

Martin Pitt (pitti) wrote :

Thanks for the testing so far. Positive feedback in the sense of "I applied the update and everything still works as normal" is also appreciated.

applied

and no high cpu usage so far on single und multi user desktops with nautilus.
No nautilus debug file anymore.

thx a lot.

Psykotik (linux-ikiru) wrote :

Nobody experiments a nautilus crash since the patch when doing a

sudo nautilus

??

Psykotik (linux-ikiru) wrote :

(sorry, when doing a sudo nautilus, AND closing nautilus.)

Alen (cshadow) wrote :

I applied the update last night and it works for now: no more hanging (and high CPU usage) nautilus when opened & closed on secondary screen.
As for sudo nautilus, usually I don't do that, but here is the result: upon closing I get "Segmentation fault (core dumped)".
But nautilus doesn't get hung any more...it crashes nicely instead :-)

What did the previous version do for you if you called it through
sudo?

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

My 5 bugs today: #185273 #190947 #193494 #192786 #172792
Do 5 a day - every day! https://wiki.ubuntu.com/5-A-Day

Psykotik (linux-ikiru) wrote :

It used also to crash (don't remember if a .crash was created, though) but the processor was additionnaly under a high activity, and unable to close.

Nautilus process was needed to be killed, to unload the processor.

Martin Pitt (pitti) wrote :

Thanks. So that's hardly a regression then and the new package seems better. Thanks for confirming!

Alen (cshadow) wrote :

The same thing happened here. But my biggest problem was logging off another user or closing nautilus on the secondary screen.
Fixing /etc/gdm/PostSession/Default solved the first problem, and this update seems to have fixed the other. I never had the problem with large nautilus-debug-log.txt

No nautilus-debug-log.txt anymore. Thanks a lot. sudo nautilus and closing
does not lead to a crash for me. Si that's another issue.

DickeyWang (invariance) wrote :

Is this fix for Hardy only or it is also for Gutsy? My Gutsy system is up to date, and I just got another "nautilus-debug-log.txt" in my home directory 5 minutes ago.

DickeyWang [2008-02-26 23:09 -0000]:
> Is this fix for Hardy only or it is also for Gutsy? My Gutsy system is
> up to date, and I just got another "nautilus-debug-log.txt" in my home
> directory 5 minutes ago.

It is already in Hardy. For gutsy it is in -proposed at the moment,
where it is tested by a wider audience. I guess you don't have
proposed updates enabled? (System -> Administration -> Software
Sources -> Updates).

debianmigrant (debianmigrant) wrote :

Fix has been working for me for several days, now with no evident side effects. Thank you!

Martin Pitt (pitti) wrote :

Copied to gutsy-updates.

Changed in nautilus:
status: Fix Committed → Fix Released
gimme5 (mauriciootta) wrote :

I have the same problem on Gutsy amd64 on a Core2Duo with nVidia Go7600 256Mb and no nautilus installed

I can run and see pidgin, the calculator, evolution
but no Firefox or terminal

gimme5 (mauriciootta) wrote :

Oops... i did had nautilus installed.... dããã

disabling the effects
and
apt-get purge nautilus
apt-get install nautilus
/etc/init.d/gdm restart

seems to have resolved the black desktop problem.... but still no icons on menu and no buttons on windows

gimme5 (mauriciootta) wrote :

maybe a shot in the /dev/null ... but I installed everything again, and I see a bunch of lines like this:
/var/lb/scrollkeeper/oc/scrollkeeper_extended_cl.xml:2777: Parse error : Extra
content at the end of the document
</sect>
^
/var/lb/scrollkeeper/oc/scrollkeeper_extended_cl.xml:2777: Parse error : Extra
content at the end of the document
</sect>
^
/var/lb/scrollkeeper/oc/scrollkeeper_extended_cl.xml:2777: Parse error : Extra
content at the end of the document
</sect>
^

on the 199 updates I have listed after this fresh install...

Schnitty (brownpr0) wrote :

running hardy here and saw same errors as gimme5 described, which on reboot gives me a black screen with no control bars/panels. the only reason i'm able to submit this bug is because pidgin starts correctly and i can tell it to open my gmail from there. adding the killall nautilus to PostSession/Default did not do anything for me. i'm thinking perhaps gimme5 and i are seeing a different issue than this bug, but i did see the same list of lines he described here and now can't use my nautilus at all. :(

Displaying first 40 and last 40 comments. View all 168 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers